package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpPayAndRefundTotalVO {
   @ApiModelProperty("今日应付总额")
   private Long todayApplyPayAmount;
   @ApiModelProperty("今日已付总额")
   private Long todayPayAmount;
   @ApiModelProperty("今日应收总额")
   private Long todayApplyRefundAmount;
   @ApiModelProperty("今日已收总额")
   private Long todayRefundAmount;
   @ApiModelProperty("累计应付总额")
   private Long totalApplyPayAmount;
   @ApiModelProperty("累计已付总额")
   private Long totalPayAmount;
   @ApiModelProperty("累计应收总额")
   private Long totalApplyRefundAmount;
   @ApiModelProperty("累计已收总额")
   private Long totalRefundAmount;

   public Long getTodayApplyPayAmount() {
      return this.todayApplyPayAmount;
   }

   public Long getTodayPayAmount() {
      return this.todayPayAmount;
   }

   public Long getTodayApplyRefundAmount() {
      return this.todayApplyRefundAmount;
   }

   public Long getTodayRefundAmount() {
      return this.todayRefundAmount;
   }

   public Long getTotalApplyPayAmount() {
      return this.totalApplyPayAmount;
   }

   public Long getTotalPayAmount() {
      return this.totalPayAmount;
   }

   public Long getTotalApplyRefundAmount() {
      return this.totalApplyRefundAmount;
   }

   public Long getTotalRefundAmount() {
      return this.totalRefundAmount;
   }

   public DrpPayAndRefundTotalVO setTodayApplyPayAmount(final Long todayApplyPayAmount) {
      this.todayApplyPayAmount = todayApplyPayAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTodayPayAmount(final Long todayPayAmount) {
      this.todayPayAmount = todayPayAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTodayApplyRefundAmount(final Long todayApplyRefundAmount) {
      this.todayApplyRefundAmount = todayApplyRefundAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTodayRefundAmount(final Long todayRefundAmount) {
      this.todayRefundAmount = todayRefundAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTotalApplyPayAmount(final Long totalApplyPayAmount) {
      this.totalApplyPayAmount = totalApplyPayAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTotalPayAmount(final Long totalPayAmount) {
      this.totalPayAmount = totalPayAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTotalApplyRefundAmount(final Long totalApplyRefundAmount) {
      this.totalApplyRefundAmount = totalApplyRefundAmount;
      return this;
   }

   public DrpPayAndRefundTotalVO setTotalRefundAmount(final Long totalRefundAmount) {
      this.totalRefundAmount = totalRefundAmount;
      return this;
   }


   public String toString() {
      Long var10000 = this.getTodayApplyPayAmount();
      return "DrpPayAndRefundTotalVO(todayApplyPayAmount=" + var10000 + ", todayPayAmount=" + this.getTodayPayAmount() + ", todayApplyRefundAmount=" + this.getTodayApplyRefundAmount() + ", todayRefundAmount=" + this.getTodayRefundAmount() + ", totalApplyPayAmount=" + this.getTotalApplyPayAmount() + ", totalPayAmount=" + this.getTotalPayAmount() + ", totalApplyRefundAmount=" + this.getTotalApplyRefundAmount() + ", totalRefundAmount=" + this.getTotalRefundAmount() + ")";
   }
}
